Retrieve a person.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/crm/people/{personUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/crm/people/{personUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/crm/people/{personUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Account": {},
"IsPrimary": false,
"ReceiveInvoices": false,
"Role": 1
}
],
"DealPeople": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Deal": {}
}
],
"LeadFormSubmissions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"LeadForm": {},
"RefererURL": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string"
}
],
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"AccountUids": "string",
"EmailListPerson": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {},
"Person": {},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"DiscordUserId": "string",
"DiscordEmail": "string",
"DiscordUsername": "string",
"DiscordOAuthRefreshToken": "string"
},
"IsConnectedToDiscord": false
}People
Retrieve a person.
GET
/
api
/
v1
/
crm
/
people
/
{personUid}
Retrieve a person.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The person's unique identifier
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Show child attributes
Show child attributes
Maximum string length:
250Maximum string length:
250Maximum string length:
250Show child attributes
Show child attributes
Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
250Maximum string length:
100Maximum string length:
50Maximum string length:
250Maximum string length:
250Maximum string length:
1000Maximum string length:
50Show child attributes
Show child attributes
Show child attributes
Show child attributes
Circular reference to Account (not expanded here).
Show child attributes
Show child attributes
0 - None, 1 - Gmail
Available options:
0, 1 Show child attributes
Show child attributes
⌘I